#ifndef __INC_BOARD_H
#define __INC_BOARD_H

  #define PIN_MCK     2                      // I2S MCK not used by MAX98357A
  #define PIN_SCK     3                      // I2S SCK => BCLK MAX98357A
  #define PIN_LRCK    4                      // I2S LRCK => LRC MAX98357A
  #define PIN_SDOUT   5                      // I2S SDOUT => DIN MAX98357A
  #define SD_MODE     7                      // SD_MODE MAX98357 to control OFF, LEFT or L/2+R/2
  #define GAIN_SLOT   9                      // GAIN_SLOT MAX98357 for +3, +6, +9, +12 or +15 dB
  #define BUTTON      10                     // IO3: buttonto wakeup Pim and Pom (+ learn mode)
  #define CS_PIN      11                     // CS pin SD card
  #define DIN_LEDS    15                     // IO1: used for leds (in learn mode)
  #define TOUCH       16                     // IO2: touch sensor (Pim only, not used for Pom)
  #define BLUE_LED    19                     // onboard led (Adafruit blue led)
  #define ENA_IO1     23                     // enable GND of IO1 when pin is high
  #define ENA_SD      24                     // enable SD card when pin is high
  #define IO4         27                     // IO4: extra volume control, used with GAIN_SLOT
  #define PIN_CHRG    28                     // CHRG pin of the TP4056
  #define PIN_STDBY   29                     // STDBY pin of the TP4056
  #define PIN_VIN     30                     // HW5.2: VIN pin of charger (50%)

#endif /* __INC_BOARD_H */
